/* Images compare main container */
.images-compare-container {
    display: inline-block;
    position: relative;
    overflow: hidden;
}

/* Images compare front element */
.images-compare-before {
    will-change: clip;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    pointer-events: none;
    overflow: hidden;
}

/* Images compare back element */
.images-compare-after {
    pointer-events: none;
}

/* Responsive image settings */
.images-compare-before img, .images-compare-after img {
    max-width: 100%;
    height: auto;
    display: block;
}

/* Separator (thin vertical blank line) */
.images-compare-separator {
    position: absolute;
    background: white;
    height: 100%;
    width: 3px;
    z-index: 4;
    left: 0;
    top: 0;
}

/* Drag handle (circle) */
.images-compare-handle {
    height: 50px;
    width: 50px;
    position: absolute;
    left: 50%;
    top: 50%;
    margin-left: -22px;
    margin-top: -22px;
    -webkit-border-radius: 1000px;
    -moz-border-radius: 1000px;
    border-radius: 1000px;
    -webkit-box-shadow: 0 0 12px rgba(51, 51, 51, 0.5);
    -moz-box-shadow: 0 0 12px rgba(51, 51, 51, 0.5);
    box-shadow: 0 0 12px rgba(51, 51, 51, 0.5);
    z-index: 3;
    background: #fff;
    cursor: pointer;
}

/* Drag handle arrows */
.images-compare-left-arrow, .images-compare-right-arrow {
    width: 0;
    height: 0;
    border: 10px inset transparent;
    position: absolute;
    top: 50%;
    margin-top: -10px;
}

.images-compare-left-arrow {
    border-right: 10px solid #05a8c5;
    left: 50%;
    margin-left: -24px;
}

.images-compare-right-arrow {
    border-left: 10px solid #05a8c5;
    right: 50%;
    margin-right: -24px;
}


